Error
A valid request URL is required to generate request examples{
"version": {
"id": 123,
"prompt_id": "<string>",
"version_number": 123,
"commit_message": "<string>",
"model_params": {},
"provider": "<string>",
"model": "<string>",
"is_latest": true,
"created_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": 123,
"order_index": 123,
"message": {}
}
]
}
}Prompt Repository
Get prompt version
Returns a specific version by ID.
GET
/
api
/
prompt-repo
/
versions
/
{id}
Error
A valid request URL is required to generate request examples{
"version": {
"id": 123,
"prompt_id": "<string>",
"version_number": 123,
"commit_message": "<string>",
"model_params": {},
"provider": "<string>",
"model": "<string>",
"is_latest": true,
"created_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": 123,
"order_index": 123,
"message": {}
}
]
}
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Path Parameters
Version ID
Response
Successful response
Prompt version (immutable snapshot)
Show child attributes
Show child attributes
Was this page helpful?
⌘I

